#!/bin/env bash

if [ -d "/home/test" ];then
        PLEUSER="test"
        PLEHOME="/home/test"
elif [ -d "/home/pletestkylin111" ];then
        PLEUSER="pletestkylin111"
        PLEHOME="/home/pletestkylin111"
fi


echo "now in delete user..." >> /opt/ple-mode-check.log
sleep 3
if getent passwd "${PLEUSER}" > /dev/null;then
	if [ -f /etc/sudoers.d/${PLEUSER} ];then
		rm -r /etc/sudoers.d/${PLEUSER}
	fi
	pkill -u "${PLEUSER}" || true
	userdel --force --remove "${PLEUSER}"
	if [ -d "${PLEHOME}" ];then
		if [ -e ${PLEHOME}/.config/autostart/autostartqax.desktop ];then
			chattr -i ${PLEHOME}/.config/autostart/autostartqax.desktop
		fi
		rm -r ${PLEHOME} || echo "remove user home direction failed..." >> /boot/efi/SI_FAILED
	fi
fi

echo "now deleted user..." >> /opt/ple-mode-check.log

while dpkg -l |grep  kylin-audit-mode;do
	dpkg -P kylin-audit-mode
        sleep 3
done

if [ ! -e /boot/efi/SI_FAILED ];then
	mount -o rw,remount /boot/efi
	touch /boot/efi/SI_SUCCESS || echo "could not touch si_success in efi partition..." >> /opt/ple-mode-check.log
fi

echo "firewall restore..." >> /opt/ple-mode-check.log
mv  /opt/initial_firewall_220401.sh.bak  /opt/initial_firewall_220401.sh
bash /opt/initial_firewall_220401.sh

cp /opt/ky-nm-back/* /etc/NetworkManager/system-connections/

# now begin call okr function
if [ -e /usr/bin/byoobr ];then
	echo "set efi partition rw..." >> /opt/ple-mode-check.log	
	mount -o rw,remount /boot/efi
	rm -rf /boot/efi/RUN_OKR_CMD*
	echo "byoobr exists ,call to backup system..." >> /opt/ple-mode-check.log
        byoobr -b -auto
	if [ $? -eq 0 ];then
		echo "call byoobr cmd success..." >> /opt/ple-mode-check.log
		touch /boot/efi/RUN_OKR_CMD_SUCCESS
	       	if [ $? -eq 0 ];then
			echo "generate /boot/efi/RUN_OKR_CMD_SUCCESS success..." >> /opt/ple-mode-check.log
		else
			echo "called okr cmd but failed to generate /boot/efi/RUN_OKR_CMD_SUCCESS" >> /opt/ple-mode-check.log
		fi
	else
		echo "byoobr cmd return failure..." >> /opt/ple-mode-check.log
		touch /boot/efi/RUN_OKR_CMD_FAIL
	       	if [ $? -eq 0 ];then
			echo "generate /boot/efi/RUN_OKR_CMD_FAIL success..." >> /opt/ple-mode-check.log
		else
			echo "called okr cmd but failed to run and failed to generate /boot/efi/RUN_OKR_CMD_SUCCESS" >> /opt/ple-mode-check.log
		fi
		
	fi
else
	echo "byoobr not exist , go to reboot system..." >> /opt/ple-mode-check.log
fi

echo "now to reboot..." >> /opt/ple-mode-check.log
reboot
